中危 Google Go up to 1.3.1 crypto/tls 访问控制漏洞

CVE编号

CVE-2014-7189

利用情况

暂无

补丁情况

官方补丁

披露时间

2014-10-08
漏洞描述
GO是Google开发的一种编程语言,TLS是GO语言中的一种安全传输层协议。

Go TLS服务器实现存在安全绕过漏洞,因为它未能正确使用 'crypto/tls'A TLS服务器。允许攻击者利用漏洞进行中间人攻击,执行未授权操作。
解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
http://golang.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 golang go 1.1 -
运行在以下环境
应用 golang go 1.1.1 -
运行在以下环境
应用 golang go 1.1.2 -
运行在以下环境
应用 golang go 1.2 -
运行在以下环境
应用 golang go 1.2.1 -
运行在以下环境
应用 golang go 1.2.2 -
运行在以下环境
应用 golang go 1.3 -
运行在以下环境
应用 golang go 1.3.1 -
运行在以下环境
系统 amazon_AMI golang * Up to
(excluding)
1.3.3-1.7.amzn1
运行在以下环境
系统 debian DPKG * Up to
(excluding)
2:1.3.2-1
运行在以下环境
系统 fedora_21 golang * Up to
(excluding)
1.3.3-1.fc21
运行在以下环境
系统 fedora_EPEL_6 golang * Up to
(excluding)
1.3.3-1.el6
运行在以下环境
系统 fedora_EPEL_7 golang * Up to
(excluding)
1.3.3-1.el7
运行在以下环境
系统 suse_12 docker * Up to
(excluding)
1.3.2-9
阿里云评分
6.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-264 权限、特权和访问控制
阿里云安全产品覆盖情况